Bug 1310001 - [platformmanagement_public_595]Can't pull the image through integrated registry
[platformmanagement_public_595]Can't pull the image through integrated registry
Status: CLOSED ERRATA
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image Registry (Show other bugs)
3.2.0
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Maciej Szulik
Wei Sun
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-19 03:16 EST by zhou ying
Modified: 2016-05-12 12:29 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-12 12:29:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description zhou ying 2016-02-19 03:16:37 EST
Description of problem:
After login integrated registry , try to use 'docker pull' command to pull the image through integrated registry, will met error: image  not found

Version-Release number of selected component (if applicable):
openshift v3.1.1.903
kubernetes v1.2.0-origin
etcd 2.2.2+git
docker 1.9

How reproducible:
always

Steps to Reproduce:
1. Login OpenShift and create project;
2. Tag a image from a public remote registry;
  `oc tag busybox mystream:latest`
3. Use the user token to login integrated registry:
 `docker login -u yinzhou -p NlPIqt2SY1B9uIgpfYdCsHQQ-MiCYBItrafunLfVGjo -e yinzhou@redhat.com 172.31.113.89:5000`
4. Use 'docker pull' command to pull the image from integrated registry



Actual results:
Pull failed with image not found message
[root@openshift-149 ~]# docker pull 172.31.113.89:5000/zhouy/mystream:latest
Trying to pull repository 172.31.113.89:5000/zhouy/mystream ... not found
Error: image zhouy/mystream:latest not found

Expected results:
Pull succesfully.

Additional info:
Pull successfully on ami devenv-rhel7_3458 instance.
[root@ip-172-18-15-32 amd64]# docker pull 172.30.80.201:5000/zhouy/mystream:v2
Trying to pull repository 172.30.80.201:5000/zhouy/mystream ... v2: Pulling from zhouy/mystream
9a163e0b8d13: Pull complete 
fef924a0204a: Pull complete 
zhouy/mystream:v2: The image you are pulling has been verified. Important: image verification is a tech preview feature and should not be relied on to provide security.
Digest: sha256:97473e34e311e6c1b3f61f2a721d038d1e5eef17d98d1353a513007cf46ca6bd
Status: Downloaded newer image for 172.30.80.201:5000/zhouy/mystream:v2
Comment 1 Michal Minar 2016-02-22 08:51:19 EST
This works as expected. `oc tag` does not cause an external image to be imported into integrated registry. It just modifies the image stream. With `oc get images` you should see the image with docker reference pointing to the original location.
Comment 3 zhou ying 2016-02-24 02:51:13 EST
This issue has fiexd on:
openshift v3.1.1.905
kubernetes v1.2.0-alpha.7-703-gbc4550d
etcd 2.2.5
docker 1.9.1

Please move it to On_QA, I'll verify it. 

thanks.
Comment 4 zhou ying 2016-02-24 09:08:47 EST
This issue has fiexd on:
openshift v3.1.1.905
kubernetes v1.2.0-alpha.7-703-gbc4550d
etcd 2.2.5
docker 1.9.1
Comment 6 errata-xmlrpc 2016-05-12 12:29:26 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2016:1064

Note You need to log in before you can comment on or make changes to this bug.